{
  "schema_version": "1.4.0",
  "id": "GHSA-vqgr-rw7q-xxwm",
  "modified": "2025-04-09T04:13:49Z",
  "published": "2022-05-02T03:13:28Z",
  "aliases": [
    "CVE-2009-0200"
  ],
  "details": "Integer underflow in OpenOffice.org (OOo) before 3.1.1 and StarOffice/StarSuite 7, 8, and 9 might allow remote attackers to execute arbitrary code via crafted records in the document table of a Word document, leading to a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-0200"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10881"
    },
    {
      "type": "WEB",
      "url": "http://development.openoffice.org/releases/3.1.1.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-09/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35036"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/36750"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/60799"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/secunia_research/2009-26"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-263508-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-77-1020715.1-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2009/dsa-1880"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-201408-19.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:035"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:091"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2010:105"
    },
    {
      "type": "WEB",
      "url": "http://www.openoffice.org/security/cves/CVE-2009-0200-0201.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/506194/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/36200"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/2490"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-09-02T17:30:00Z"
  }
}